import request from '@/utils/request'

// 查询运行日志列表
export function listSysLog(query) {
  return request({
    url: '/base/sysLog/list',
    method: 'get',
    params: query
  })
}

// 查询运行日志详细
export function getSysLog(id) {
  return request({
    url: '/base/sysLog/' + id,
    method: 'get'
  })
}

// 新增运行日志
export function addSysLog(data) {
  return request({
    url: '/base/sysLog',
    method: 'post',
    data: data
  })
}

// 修改运行日志
export function updateSysLog(data) {
  return request({
    url: '/base/sysLog',
    method: 'put',
    data: data
  })
}

// 删除运行日志
export function delSysLog(id) {
  return request({
    url: '/base/sysLog/' + id,
    method: 'delete'
  })
}
